Bug 978306 - glassfish-el: version 3.0 is available
glassfish-el: version 3.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glassfish-el (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Xie
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 960404 984023
  Show dependency treegraph
 
Reported: 2013-06-26 06:34 EDT by Michal Srb
Modified: 2013-12-09 09:27 EST (History)
4 users (show)

See Also:
Fixed In Version: glassfish-el-3.0.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:27:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-06-26 06:34:15 EDT
Description of problem:

Final version of glassfish-el 3.0 has been recently released. This version is needed by latest glassfish-jsp (#960404), but please don't rush with this update. This is major update, glassfish-el 3.0 is reference implementation of EL API from Java EE 7. We should first decide how and when to update to Java EE 7 APIs in Fedora.
Comment 1 David Xie 2013-06-28 01:26:37 EDT
When will it be ready?
Comment 2 Fedora End Of Life 2013-09-16 10:15:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Marek Goldmann 2013-10-02 08:12:08 EDT
This is needed by wildfly package. WildFly is the Java EE 7 implementation and thus the glassfish-el upgrade is required. I'm trying to woraround the requirement by using the old glassfish-el and the jboss-el-3.0-api package. Of course this is not ideal solution.

WildFly will be shipped with Fedora 20.
Comment 4 Michal Srb 2013-12-09 09:27:54 EST
This should be fixed in glassfish-el-3.0.0-1.fc21.

Note You need to log in before you can comment on or make changes to this bug.